## gimpcolor gimpcolor — Functions for manipulating color. |

## Functions

gboolean | gimp_brightness_contrast ()
gboolean | gimp_levels ()
gboolean | gimp_levels_auto ()
gboolean | gimp_levels_stretch ()
gboolean | gimp_posterize ()
gboolean | gimp_desaturate ()
gboolean | gimp_desaturate_full ()
gboolean | gimp_equalize ()
gboolean | gimp_invert ()
gboolean | gimp_curves_spline ()
gboolean | gimp_curves_explicit ()
gboolean | gimp_color_balance ()
gboolean | gimp_colorize ()
gboolean | gimp_histogram ()
gboolean | gimp_hue_saturation ()
gboolean | gimp_threshold ()

## Description

Functions for manipulating color, including curves and histograms.

## Functions

### gimp_brightness_contrast ()

    gboolean
    gimp_brightness_contrast (gint32 drawable_ID,
                              gint brightness,
                              gint contrast);

`gimp_brightness_contrast` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_brightness_contrast()` instead.

#### Parameters

drawable_ID | The drawable. |
brightness | Brightness adjustment. |
contrast | Contrast adjustment. |

#### Returns

TRUE on success.

### gimp_levels ()

    gboolean
    gimp_levels (gint32 drawable_ID,
                 GimpHistogramChannel channel,
                 gint low_input,
                 gint high_input,
                 gdouble gamma,
                 gint low_output,
                 gint high_output);

`gimp_levels` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_levels()` instead.

#### Parameters

drawable_ID | The drawable. |
channel | The channel to modify. |
low_input | Intensity of lowest input. |
high_input | Intensity of highest input. |
gamma | Gamma adjustment factor. |
low_output | Intensity of lowest output. |
high_output | Intensity of highest output. |

#### Returns

TRUE on success.

### gimp_levels_auto ()

    gboolean
    gimp_levels_auto (gint32 drawable_ID);

`gimp_levels_auto` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_levels_stretch()` instead.

#### Parameters

drawable_ID | The drawable. |

#### Returns

TRUE on success.

### gimp_levels_stretch ()

    gboolean
    gimp_levels_stretch (gint32 drawable_ID);

`gimp_levels_stretch` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_levels_stretch()` instead.

#### Parameters

drawable_ID | The drawable. |

#### Returns

TRUE on success.

### gimp_posterize ()

    gboolean
    gimp_posterize (gint32 drawable_ID,
                    gint levels);

`gimp_posterize` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_posterize()` instead.

#### Parameters

drawable_ID | The drawable. |
levels | Levels of posterization. |

#### Returns

TRUE on success.

### gimp_desaturate ()

    gboolean
    gimp_desaturate (gint32 drawable_ID);

`gimp_desaturate` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_desaturate()` instead.

#### Parameters

drawable_ID | The drawable. |

#### Returns

TRUE on success.

### gimp_desaturate_full ()

    gboolean
    gimp_desaturate_full (gint32 drawable_ID,
                          GimpDesaturateMode desaturate_mode);

`gimp_desaturate_full` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_desaturate()` instead.

#### Parameters

drawable_ID | The drawable. |
desaturate_mode | The formula to use to desaturate. |

#### Returns

TRUE on success.

Since: 2.4

### gimp_equalize ()

    gboolean
    gimp_equalize (gint32 drawable_ID,
                   gboolean mask_only);

`gimp_equalize` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_equalize()` instead.

#### Parameters

drawable_ID | The drawable. |
mask_only | Equalization option. |

#### Returns

TRUE on success.

### gimp_invert ()

    gboolean
    gimp_invert (gint32 drawable_ID);

`gimp_invert` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_invert()` instead.

#### Parameters

drawable_ID | The drawable. |

#### Returns

TRUE on success.

### gimp_curves_spline ()

    gboolean
    gimp_curves_spline (gint32 drawable_ID,
                        GimpHistogramChannel channel,
                        gint num_points,
                        const guint8 *control_pts);

`gimp_curves_spline` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_curves_spline()` instead.

#### Parameters

drawable_ID | The drawable. |
channel | The channel to modify. |
num_points | The number of values in the control point array. |
control_pts | The spline control points: { cp1.x, cp1.y, cp2.x, cp2.y, ... }. |

#### Returns

TRUE on success.

### gimp_curves_explicit ()

    gboolean
    gimp_curves_explicit (gint32 drawable_ID,
                          GimpHistogramChannel channel,
                          gint num_bytes,
                          const guint8 *curve);

`gimp_curves_explicit` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_curves_explicit()` instead.

#### Parameters

drawable_ID | The drawable. |
channel | The channel to modify. |
num_bytes | The number of bytes in the new curve (always 256). |
curve | The explicit curve. |

#### Returns

TRUE on success.

### gimp_color_balance ()

    gboolean
    gimp_color_balance (gint32 drawable_ID,
                        GimpTransferMode transfer_mode,
                        gboolean preserve_lum,
                        gdouble cyan_red,
                        gdouble magenta_green,
                        gdouble yellow_blue);

`gimp_color_balance` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_color_color_balance()` instead.

Modify the color balance of the specified drawable.

Modify the color balance of the specified drawable. There are three axis which can be modified: cyan-red, magenta-green, and yellow-blue. Negative values increase the amount of the former, positive values increase the amount of the latter. Color balance can be controlled with the 'transfer_mode' setting, which allows shadows, mid-tones, and highlights in an image to be affected differently. The 'preserve-lum' parameter, if TRUE, ensures that the luminosity of each pixel remains fixed.

#### Parameters

drawable_ID | The drawable. |
transfer_mode | Transfer mode. |
preserve_lum | Preserve luminosity values at each pixel. |
cyan_red | Cyan-Red color balance. |
magenta_green | Magenta-Green color balance. |
yellow_blue | Yellow-Blue color balance. |

#### Returns

TRUE on success.

### gimp_colorize ()

    gboolean
    gimp_colorize (gint32 drawable_ID,
                   gdouble hue,
                   gdouble saturation,
                   gdouble lightness);

`gimp_colorize` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_colorize_hsl()` instead.

#### Parameters

drawable_ID | The drawable. |
hue | Hue in degrees. |
saturation | Saturation in percent. |
lightness | Lightness in percent. |

#### Returns

TRUE on success.

### gimp_histogram ()

    gboolean
    gimp_histogram (gint32 drawable_ID,
                    GimpHistogramChannel channel,
                    gint start_range,
                    gint end_range,
                    gdouble *mean,
                    gdouble *std_dev,
                    gdouble *median,
                    gdouble *pixels,
                    gdouble *count,
                    gdouble *percentile);

`gimp_histogram` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_histogram()` instead.

#### Parameters

drawable_ID | The drawable. |
channel | The channel to modify. |
start_range | Start of the intensity measurement range. |
end_range | End of the intensity measurement range. |
mean | Mean intensity value. |
std_dev | Standard deviation of intensity values. |
median | Median intensity value. |
pixels | Alpha-weighted pixel count for entire image. |
count | Alpha-weighted pixel count for range. |
percentile | Percentile that range falls under. |

#### Returns

TRUE on success.

### gimp_hue_saturation ()

    gboolean
    gimp_hue_saturation (gint32 drawable_ID,
                         GimpHueRange hue_range,
                         gdouble hue_offset,
                         gdouble lightness,
                         gdouble saturation);

`gimp_hue_saturation` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_hue_saturation()` instead.

#### Parameters

drawable_ID | The drawable. |
hue_range | Range of affected hues. |
hue_offset | Hue offset in degrees. |
lightness | Lightness modification. |
saturation | Saturation modification. |

#### Returns

TRUE on success.

### gimp_threshold ()

    gboolean
    gimp_threshold (gint32 drawable_ID,
                    gint low_threshold,
                    gint high_threshold);

`gimp_threshold` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_threshold()` instead.

#### Parameters

drawable_ID | The drawable. |
low_threshold | The low threshold value. |
high_threshold | The high threshold value. |

#### Returns

TRUE on success.